Index: branch/nan_cao/Emb_App.tws
===================================================================
--- branch/nan_cao/Emb_App.tws	(revision 79)
+++ branch/nan_cao/Emb_App.tws	(revision 80)
@@ -7,9 +7,27 @@
 [GENERAL_DATA]
 [BREAKPOINTS]
 [OPEN_WORKSPACE_FILES]
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\Emb_App\programme_principal_etud.c" 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\clavier.c" 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\lcd.c" 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\lcd.h" 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\periph.c" 
+"E:\tp_info6_2018_nan_cao\tp_info6\Emb_App\conf_noyau.cfg" 
+"E:\tp_info6_2018_nan_cao\tp_info6\Emb_App\crt0mr.a30" 
+"E:\tp_info6_2018_nan_cao\tp_info6\Emb_App\Debug\kernel_id.h" 
+"E:\tp_info6_2018_nan_cao\tp_info6\Emb_App\Debug\mrtable.a30" 
+"E:\tp_info6_2018_nan_cao\tp_info6\Emb_App\Debug\sys_rom.inc" 
+"E:\tp_info6_2018_nan_cao\tp_info6\Emb_App\programme_principal_etud.c" 
 [WORKSPACE_FILE_STATES]
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\Emb_App\programme_principal_etud.c" -8 -30 1596 659 1 0 
+"E:\tp_info6_2018_nan_cao\tp_info6\Emb_App\Debug\kernel_id.h" 0 0 1430 351 0 3 
+"E:\tp_info6_2018_nan_cao\tp_info6\Emb_App\Debug\mrtable.a30" 0 0 1430 303 0 9 
+"E:\tp_info6_2018_nan_cao\tp_info6\Emb_App\Debug\sys_rom.inc" 150 150 1430 303 0 8 
+"E:\tp_info6_2018_nan_cao\tp_info6\Emb_App\conf_noyau.cfg" 125 125 1430 351 0 1 
+"E:\tp_info6_2018_nan_cao\tp_info6\Emb_App\crt0mr.a30" -8 -30 1596 602 1 5 
+"E:\tp_info6_2018_nan_cao\tp_info6\Emb_App\programme_principal_etud.c" 0 0 1596 539 0 0 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\clavier.c" 25 25 1430 351 0 4 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\lcd.c" 75 75 1430 351 0 6 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\lcd.h" 125 125 1430 303 0 7 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\periph.c" 150 150 1430 351 0 2 
 [LOADED_PROJECTS]
 "EmbM32C87App" 
 [END]
Index: branch/nan_cao/Emb_App/SessionM32C_E8a_system.hsf
===================================================================
--- branch/nan_cao/Emb_App/SessionM32C_E8a_system.hsf	(revision 79)
+++ branch/nan_cao/Emb_App/SessionM32C_E8a_system.hsf	(revision 80)
@@ -83,7 +83,7 @@
 "{4B022541-3E95-11D7-909C-00201898052D}ElfDwarf2Objects" "1" 
 "{4B022541-3E95-11D7-909C-00201898052D}LoadModule0OBJ_ELFDWARF2_ARRAY_EXPAND_LIMIT" "-1" 
 "{4B022541-3E95-11D7-909C-00201898052D}LoadModule0OBJ_STATUS_OF_EBD_CMD" "0" 
-"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRCtrlViews" "1" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRCtrlViews" "2" 
 "{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0EnableRRam" "0" 
 "{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType" "2" 
 "{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode0Column0" "4" 
@@ -138,7 +138,62 @@
 "{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2StatusBarMode0" "1" 
 "{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2StatusBarMode1" "1" 
 "{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0Sampling" "100" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd1EnableRRam" "0" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd1MrType" "2" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd1MrType2ColumnSizeMode0Column0" "4" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd1MrType2ColumnSizeMode0Column1" "11" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd1MrType2ColumnSizeMode0Column2" "5" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd1MrType2ColumnSizeMode0Column3" "19" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd1MrType2ColumnSizeMode0Column4" "8" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd1MrType2ColumnSizeMode0Column5" "8" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd1MrType2ColumnSizeMode0Column6" "7" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd1MrType2ColumnSizeMode0Column7" "8" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd1MrType2ColumnSizeMode0Column8" "9" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd1MrType2ColumnSizeMode1Column0" "5" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd1MrType2ColumnSizeMode1Column1" "130" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd1MrType2ColumnSizeMode2Column0" "7" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd1MrType2ColumnSizeMode2Column1" "35" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd1MrType2ColumnSizeMode3Column0" "4" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd1MrType2ColumnSizeMode3Column1" "29" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd1MrType2ColumnSizeMode3Column2" "8" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd1MrType2ColumnSizeMode3Column3" "91" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd1MrType2ColumnSizeMode4Column0" "4" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd1MrType2ColumnSizeMode4Column1" "10" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd1MrType2ColumnSizeMode4Column2" "8" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd1MrType2ColumnSizeMode4Column3" "113" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd1MrType2ColumnSizeMode5Column0" "4" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd1MrType2ColumnSizeMode5Column1" "21" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd1MrType2ColumnSizeMode5Column2" "55" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd1MrType2ColumnSizeMode5Column3" "55" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd1MrType2ColumnSizeMode6Column0" "8" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd1MrType2ColumnSizeMode6Column1" "10" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd1MrType2ColumnSizeMode6Column2" "7" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd1MrType2ColumnSizeMode6Column3" "7" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd1MrType2ColumnSizeMode6Column4" "53" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd1MrType2ColumnSizeMode6Column5" "53" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd1MrType2ColumnSizeMode7Column0" "4" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd1MrType2ColumnSizeMode7Column1" "11" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd1MrType2ColumnSizeMode7Column2" "8" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd1MrType2ColumnSizeMode7Column3" "8" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd1MrType2ColumnSizeMode7Column4" "7" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd1MrType2ColumnSizeMode7Column5" "10" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd1MrType2ColumnSizeMode8Column0" "4" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd1MrType2ColumnSizeMode8Column1" "11" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd1MrType2ColumnSizeMode8Column2" "8" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd1MrType2ColumnSizeMode8Column3" "10" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd1MrType2ColumnSizeMode9Column0" "9" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd1MrType2ColumnSizeMode9Column1" "10" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd1MrType2ColumnSizeMode9Column2" "11" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd1MrType2ColumnSizeMode9Column3" "7" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd1MrType2ColumnSizeMode9Column4" "8" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd1MrType2ColumnSizeMode9Column5" "9" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd1MrType2ColumnSizeMode9Column6" "81" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd1MrType2MrMode" "0" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd1MrType2StatusBarMode0" "1" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd1MrType2StatusBarMode1" "1" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd1Sampling" "100" 
 "{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWndInstanceKey0" "{WK_00000001_PDMR}EmbM32C87AppSessionM32C_E8a_system" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWndInstanceKey1" "{WK_00000001_PDMR}EmbM32C87AppSessionM32C_E8a_system0" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_EVAL_DENORMAL_MODE" "0" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_EVAL_ROUND_MODE" "0" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_0" "0000000000004044" 
@@ -149,12 +204,12 @@
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_13" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_14" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_15" "0000000000000512" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_16" "0000000000FF056E" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_16" "0000000000FF056C" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_17" "0000000000FFF800" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_18" "0000000000000928" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_19" "000000000000074A" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_2" "0000000000000000" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_20" "0000000000004004" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_18" "00000000000010E8" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_19" "0000000000000822" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_2" "0000000000000001" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_20" "0000000000004044" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_21" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_22" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_23" "0000000000000000" 
@@ -173,7 +228,7 @@
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_35" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_4" "0000000000000008" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_5" "0000000000000000" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_6" "0000000000000946" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_6" "000000000000111E" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_7" "0000000000000512" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_8" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_9" "0000000000000000" 
@@ -277,14 +332,15 @@
 0 
 [WINDOW_POSITION_STATE_DATA_VD1]
 "Help" "TOOLBAR 0" 59419 2 4 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
-"{WK_00000001_CmdLine}" "WINDOW" 59422 0 0 "0.14" 365 0 0 350 200 17 0 "32771|32772|32778|<<separator>>|32773|32774|<<separator>>|32820|<<separator>>|32801|32824" "0.0" 
+"{WK_00000001_CmdLine}" "WINDOW" 59422 0 1 "0.08" 302 0 0 350 200 17 0 "32771|32772|32778|<<separator>>|32773|32774|<<separator>>|32820|<<separator>>|32801|32824" "0.0" 
 "{WK_00000001_DISASSEMBLY}" "WINDOW" 0 0 0 "0.00" 0 -4 -30 948 486 9 0 "" "0.0" 
-"{WK_00000001_EVENT}EmbM32C87AppSessionM32C_E8a_system" "WINDOW" 59422 0 0 "0.16" 365 0 0 350 200 18 0 "32774|32775|32777|<<separator>>|32780|<<separator>>" "0.0" 
+"{WK_00000001_EVENT}EmbM32C87AppSessionM32C_E8a_system" "WINDOW" 59422 0 0 "0.10" 302 0 0 350 200 18 0 "32774|32775|32777|<<separator>>|32780|<<separator>>" "0.0" 
 "{WK_00000001_MEMORY}EmbM32C87AppSessionM32C_E8a_system" "WINDOW" 59422 0 1 "0.23" 365 2 -1 350 200 2065 0 "42202|42203|42204|42233|<<separator>>|42206|42205|42230|42229|42207|<<separator>>|42208|42209|42210|49076|42228|42227|<<separator>>|42231|42232|42234|42235|<<separator>>|42211|<<separator>>|32796|32797" "0.0" 
-"{WK_00000001_OUTPUT}" "WINDOW" 59422 0 1 "1.00" 365 0 0 350 200 18 0 "36756|36757|36758|36759|<<separator>>|36746|36747|<<separator>>|39531|<<separator>>|39500|39534|<<separator>>|36687" "0.0" 
-"{WK_00000001_PDMR}EmbM32C87AppSessionM32C_E8a_system" "WINDOW" 59422 0 3 "0.15" 365 0 0 350 200 18 0 "47300|47301|47302|47303|47304|47305|47314|47306|47307|47308|47311|47312|47313|42211|42509|42303" "0.0" 
+"{WK_00000001_OUTPUT}" "WINDOW" 59422 0 2 "0.54" 302 0 0 350 200 18 0 "36756|36757|36758|36759|<<separator>>|36746|36747|<<separator>>|39531|<<separator>>|39500|39534|<<separator>>|36687" "0.0" 
+"{WK_00000001_PDMR}EmbM32C87AppSessionM32C_E8a_system0" "WINDOW" 59422 0 3 "0.19" 302 0 0 350 200 18 0 "47300|47301|47302|47303|47304|47305|47314|47306|47307|47308|47311|47312|47313|42211|42509|42303" "0.0" 
+"{WK_00000001_PDMR}EmbM32C87AppSessionM32C_E8a_system" "WINDOW" 59422 0 4 "0.09" 302 0 0 350 200 18 0 "47300|47301|47302|47303|47304|47305|47314|47306|47307|47308|47311|47312|47313|42211|42509|42303" "0.0" 
 "{WK_00000001_REGISTERS}EmbM32C87AppSessionM32C_E8a_system" "WINDOW" 59421 0 0 "1.00" 236 0 0 350 200 2065 0 "" "0.0" 
-"{WK_00000001_WATCH}EmbM32C87AppSessionM32C_E8a_system" "WINDOW" 59422 0 4 "0.13" 365 0 0 350 200 18 0 "32781|32783|<<separator>>|32771|32772|32773|<<separator>>|32786|<<separator>>|32810|32811" "0.0" 
+"{WK_00000001_WATCH}EmbM32C87AppSessionM32C_E8a_system" "WINDOW" 59422 0 5 "0.08" 302 0 0 350 200 18 0 "32781|32783|<<separator>>|32771|32772|32773|<<separator>>|32786|<<separator>>|32810|32811" "0.0" 
 "{WK_00000002_WORKSPACE}" "WINDOW" 59420 0 0 "1.00" 308 0 0 350 200 18 0 "" "0.0" 
 "{WK_TB00000001_STANDARD}" "TOOLBAR 0" 59419 0 2 "0.00" 0 0 0 0 0 18 0 "" "0.0" 
 "{WK_TB00000002_EDITOR}" "TOOLBAR 0" 59419 0 0 "0.00" 0 0 0 0 0 18 0 "" "0.0" 
@@ -309,7 +365,16 @@
 [WINDOW_POSITION_STATE_DATA_VD3]
 [WINDOW_POSITION_STATE_DATA_VD4]
 [WINDOW_Z_ORDER]
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\Emb_App\programme_principal_etud.c" 
+"E:\tp_info6_2018_nan_cao\tp_info6\Emb_App\crt0mr.a30" 
+"E:\tp_info6_2018_nan_cao\tp_info6\Emb_App\programme_principal_etud.c" 
+"E:\tp_info6_2018_nan_cao\tp_info6\Emb_App\conf_noyau.cfg" 
+"E:\tp_info6_2018_nan_cao\tp_info6\Emb_App\Debug\mrtable.a30" 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\periph.c" 
+"E:\tp_info6_2018_nan_cao\tp_info6\Emb_App\Debug\kernel_id.h" 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\clavier.c" 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\lcd.c" 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\lcd.h" 
+"E:\tp_info6_2018_nan_cao\tp_info6\Emb_App\Debug\sys_rom.inc" 
 [TARGET_NAME]
 "M32C E8a SYSTEM" "" 0 
 [STATUSBAR_STATEINFO_VD1]
@@ -356,5 +421,5 @@
 [FLASH_DETAILS]
 "" 0 0 "" 0 "" 0 0 "" 0 0 0 0 0 0 0 "" "" "" "" "" 
 [BREAKPOINTS]
-"d:\profs\tp_info14_travail\tp_info14\emb_app\programme_principal_etud.c" 95 0 1 "{00000000-0000-0000-C000-000000000046}" "" 
+"d:\profs\tp_info14_travail\tp_info14\emb_app\programme_principal_etud.c" 95 91076312 1 "{00000000-0000-0000-C000-000000000046}" "" 
 [END]
Index: branch/nan_cao/Emb_App/programme_principal_etud.c
===================================================================
--- branch/nan_cao/Emb_App/programme_principal_etud.c	(revision 79)
+++ branch/nan_cao/Emb_App/programme_principal_etud.c	(revision 80)
@@ -119,18 +119,60 @@
 //				disponible. 0xab avec a-> nombre de couleurs bien placées et b -> couleurs présentes mais mal placées.
 //'I'/73/Ox49 : Définition du nom du véhicule. Doit débuter par le caractère '#' et entraine le chargement de la configuration de piste
 //				correspondant au nom du véhicule si le nom se termine par '*'
+
+
+/*
+void TVcommande(){
+	CanFrame commV;
+	CanFrame reponse;
+		while(1){
+			commV.data.id='V'; 
+			commV.data.rtr=0;
+			commV.data.val=(ad00-50);
+			snd_dtq (CanTx,commV.msg);
+			dly_tsk(10); 
+			}
+} 
+
+*/
+
+
+
+
+
 
-
+/*
+void itoucheM(void){
+	
+		char t;
+	
+				
+		if (t=clavier_scan())
+		vipsnd_dtq(QdmTouche,t);
+			
+	}
 
 
 
+void affichage(){
+	while(1){
+		dly_tsk(10);
+		
+	lcd_putc('t');
+	lcd_putc('.');	
+		}
+	}
 
-void mesureD(){
+*/
+
+int distance;
+/*
+void mesureR(){
 	CanFrame demande;
 	CanFrame reponse;
 	CanFrame comm;
 	unsigned int alpha;
-	int g=10;
+	int g=1;
 	while(1){
 		dly_tsk(10);
 		demande.data.id='R'; 
@@ -141,28 +183,81 @@
 		comm.data.id='T';
 		comm.data.rtr=0;
 		comm.data.val=g*(alpha-45);
-		snd_dtq(CanTx, comm.msg);
-		
+		snd_dtq(CanTx, comm.msg);		
  }
 
 }
 
+*/
 
+void mesureR(){
+	CanFrame comm;
+	int g=1;
 
+	
+	while(1){
+		dly_tsk(10);
+		comm.data.id='T';
+		comm.data.rtr=0;
+		comm.data.val=g*45;
+		snd_dtq(CanTx, comm.msg);	
+	}
+}
+
+void mesureD(){
+	CanFrame demande;
+	CanFrame reponse;	
+	
+	while(1){
+		dly_tsk(10);
+		demande.data.id='U'; 
+		demande.data.rtr=1;	distance=reponse.data.val;
+		snd_dtq (CanTx,demande.msg);	
+	}
+}
+
+
+void commandeD(){
+	CanFrame demande;
+	CanFrame reponse;
+
+		while(1){
+			demande.data.id='D'; 
+			demande.data.rtr=0;
+			demande.data.val=1*(distance-800);
+			snd_dtq(CanTx,demande.msg);
+			dly_tsk(10);
+			}
+}
+
+
+
+
+
+
 void main()
 {
 	CanFrame comm;
-	CanFrame commD;
+//	CanFrame commD;
 	
 	ports_mcu();
-    lcd_init();
+	lcd_init();
 	periph_init();
 	periph_nom("#AutoTest*");
-
+
+
+	lcd_putc(1);
     can_init();
     clavier_init(1);
-	capture_init();
+	capture_init();
 	
+	
+		
+	
+//	sta_tsk(tache5);
+//	sta_tsk(tache4);
+	sta_tsk(tache3);
+	sta_tsk(tache2);
 	sta_tsk(tache1);
 	sta_cyc(ID_acqui);
 //	sta_tsk(ID_periph_rx);
@@ -174,10 +269,13 @@
 	comm.data.val=20;
 	snd_dtq(CanTx, comm.msg);
 	
-	comm.data.id='D'; 
-	comm.data.rtr=0; 
-	comm.data.val=0;
-	snd_dtq(CanTx, comm.msg);
+//	comm.data.id='D'; 
+//	comm.data.rtr=0; 
+//	comm.data.val=0;
+//	snd_dtq(CanTx, comm.msg);
+
+
+
 
 
     while(1)
Index: branch/nan_cao/Emb_App/conf_noyau.cfg
===================================================================
--- branch/nan_cao/Emb_App/conf_noyau.cfg	(revision 79)
+++ branch/nan_cao/Emb_App/conf_noyau.cfg	(revision 80)
@@ -44,15 +44,35 @@
 	exinf	= 0x0;
 };
 task[]{
-	entry_address	= mesureD();
+	entry_address	= mesureR();
 	name	= tache1;
 	stack_size	= 512;
 	stack_section	= stack;
-	priority	= 4;
+	priority	= 5;
 	initial_start	= OFF;
 	exinf	= 0x0;
 };
 task[]{
+	entry_address	= commandeD();
+	name	= tache2;
+	stack_size	= 512;
+	stack_section	= stack;
+	priority	= 5;
+	initial_start	= OFF;
+	exinf	= 0x0;
+};
+task[]{
+	entry_address	= mesureD();
+	name	= tache3;
+	stack_size	= 512;
+	stack_section	= stack;
+	priority	= 5;
+	initial_start	= OFF;
+	exinf	= 0x0;
+};
+
+
+task[]{
 	entry_address	= periph_tx();
 	name	= ID_periph_tx;
 	stack_size	= 256;
Index: branch/nan_cao/Emb_App/EmbM32C87App.hwp
===================================================================
--- branch/nan_cao/Emb_App/EmbM32C87App.hwp	(revision 79)
+++ branch/nan_cao/Emb_App/EmbM32C87App.hwp	(revision 80)
@@ -3,16 +3,16 @@
 [DATABASE_VERSION]
 "2.8" 
 [PROJECT_DETAILS]
-"EmbM32C87App" "E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\Emb_App" "E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\Emb_App\EmbM32C87App.hwp" "M16C/80,M32C" "Renesas M32C Standard" "Application" "M32C/80" "M32C/87(M32C/87)" 
+"EmbM32C87App" "E:\tp_info6_2018_nan_cao\tp_info6\Emb_App" "E:\tp_info6_2018_nan_cao\tp_info6\Emb_App\EmbM32C87App.hwp" "M16C/80,M32C" "Renesas M32C Standard" "Application" "M32C/80" "M32C/87(M32C/87)" 
 [INFORMATION]
 "No project information available" 
 [TOOL_CHAIN]
 "Renesas M32C Standard Toolchain" "5.42.00" 
 [CONFIGURATIONS]
-"Debug" "E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\Emb_App\Debug" 
-"Debug_M32C_FoUSB_UART" "E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\Emb_App\Debug_M32C_FoUSB_UART" 
-"Debug_M32C_Simulator" "E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\Emb_App\Debug_M32C_Simulator" 
-"Release" "E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\Emb_App\Release" 
+"Debug" "E:\tp_info6_2018_nan_cao\tp_info6\Emb_App\Debug" 
+"Debug_M32C_FoUSB_UART" "E:\tp_info6_2018_nan_cao\tp_info6\Emb_App\Debug_M32C_FoUSB_UART" 
+"Debug_M32C_Simulator" "E:\tp_info6_2018_nan_cao\tp_info6\Emb_App\Debug_M32C_Simulator" 
+"Release" "E:\tp_info6_2018_nan_cao\tp_info6\Emb_App\Release" 
 [BUILD_PHASES]
 "Renesas M32C Assembler" 1 
 "Renesas M32C C Compiler" 1 
@@ -105,29 +105,29 @@
 "Relocatable file" "Renesas M32C Linker" "Renesas M32C Assembler" 
 "Relocatable file" "Renesas M32C Linker" "Renesas M32C C Compiler" 
 [PROJECT_FILES]
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\Emb_App\conf_noyau.cfg" "User" "Configuration file" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\Emb_App\crt0mr.a30" "User" "Assembly source file" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\Emb_App\programme_principal_etud.c" "User" "C source file" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\can.c" "User" "C source file" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\can.h" "User" "C header file" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\carte_io.h" "User" "C header file" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\carte_m32.h" "User" "C header file" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\clavier.c" "User" "C source file" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\clavier.h" "User" "C header file" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\dma0.c" "User" "C source file" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\dma0.h" "User" "C header file" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\lcd.c" "User" "C source file" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\lcd.h" "User" "C header file" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\mli.c" "User" "C source file" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\mli.h" "User" "C header file" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\periph.c" "User" "C source file" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\periph.h" "User" "C header file" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\radiocommande.c" "User" "C source file" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\radiocommande.h" "User" "C header file" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\sfr32c83.h" "User" "C header file" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\sfr32c87.h" "User" "C header file" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\uart0.c" "User" "C source file" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\uart0.h" "User" "C header file" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\Emb_App\conf_noyau.cfg" "User" "Configuration file" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\Emb_App\crt0mr.a30" "User" "Assembly source file" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\Emb_App\programme_principal_etud.c" "User" "C source file" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\can.c" "User" "C source file" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\can.h" "User" "C header file" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\carte_io.h" "User" "C header file" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\carte_m32.h" "User" "C header file" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\clavier.c" "User" "C source file" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\clavier.h" "User" "C header file" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\dma0.c" "User" "C source file" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\dma0.h" "User" "C header file" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\lcd.c" "User" "C source file" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\lcd.h" "User" "C header file" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\mli.c" "User" "C source file" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\mli.h" "User" "C header file" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\periph.c" "User" "C source file" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\periph.h" "User" "C header file" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\radiocommande.c" "User" "C source file" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\radiocommande.h" "User" "C header file" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\sfr32c83.h" "User" "C header file" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\sfr32c87.h" "User" "C header file" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\uart0.c" "User" "C source file" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\uart0.h" "User" "C header file" 2 
 [FOLDER]
 "Assembly source file" "Assembly source file" 
 "C header file" "C header file" 
@@ -138,10 +138,10 @@
 [ON_DEMAND_COMPONENTS_LOADED]
 [SYNC_SESSION_NAMES]
 [SESSIONS]
-"DefaultSession" "E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\Emb_App\DefaultSession.hsf" 0 
-"SessionM32C_E8a_system" "E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\Emb_App\SessionM32C_E8a_system.hsf" 0 
-"SessionM32C_FoUSB_UART" "E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\Emb_App\SessionM32C_FoUSB_UART.hsf" 0 
-"SessionM32C_Simulator" "E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\Emb_App\SessionM32C_Simulator.hsf" 0 
+"DefaultSession" "E:\tp_info6_2018_nan_cao\tp_info6\Emb_App\DefaultSession.hsf" 0 
+"SessionM32C_E8a_system" "E:\tp_info6_2018_nan_cao\tp_info6\Emb_App\SessionM32C_E8a_system.hsf" 0 
+"SessionM32C_FoUSB_UART" "E:\tp_info6_2018_nan_cao\tp_info6\Emb_App\SessionM32C_FoUSB_UART.hsf" 0 
+"SessionM32C_Simulator" "E:\tp_info6_2018_nan_cao\tp_info6\Emb_App\SessionM32C_Simulator.hsf" 0 
 [GENERAL_DATA_SESSION_DefaultSession]
 [GENERAL_DATA_SESSION_SessionM32C_E8a_system]
 [GENERAL_DATA_SESSION_SessionM32C_FoUSB_UART]
@@ -148,18 +148,18 @@
 [GENERAL_DATA_SESSION_SessionM32C_Simulator]
 [OPTIONS_Debug_Renesas M32C Assembler]
 "Assembly source file" "061cd8963acbbc10" 3 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\Emb_App\crt0mr.a30" "061cd8963acbbc10" 3 
+"E:\tp_info6_2018_nan_cao\tp_info6\Emb_App\crt0mr.a30" "061cd8963acbbc10" 3 
 [OPTIONS_Debug_Renesas M32C C Compiler]
 "C source file" "0d1c724595684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\Emb_App\programme_principal_etud.c" "0d1c724595684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\can.c" "0d1c724595684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\clavier.c" "0d1c724595684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\dma0.c" "0d1c724595684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\lcd.c" "0d1c724595684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\mli.c" "0d1c724595684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\periph.c" "0d1c724595684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\radiocommande.c" "0d1c724595684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\uart0.c" "0d1c724595684d10" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\Emb_App\programme_principal_etud.c" "0d1c724595684d10" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\can.c" "0d1c724595684d10" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\clavier.c" "0d1c724595684d10" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\dma0.c" "0d1c724595684d10" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\lcd.c" "0d1c724595684d10" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\mli.c" "0d1c724595684d10" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\periph.c" "0d1c724595684d10" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\radiocommande.c" "0d1c724595684d10" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\uart0.c" "0d1c724595684d10" 2 
 [OPTIONS_Debug_Renesas M32C Configurator]
 "Single Shot" "061cd8963acbbc10" 1 
 [OPTIONS_Debug_Renesas M32C Librarian]
@@ -187,18 +187,18 @@
 [GENERAL_DATA_CONFIGURATION_Debug]
 [OPTIONS_Debug_M32C_FoUSB_UART_Renesas M32C Assembler]
 "Assembly source file" "061cd8963acbbc10" 3 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\Emb_App\crt0mr.a30" "061cd8963acbbc10" 3 
+"E:\tp_info6_2018_nan_cao\tp_info6\Emb_App\crt0mr.a30" "061cd8963acbbc10" 3 
 [OPTIONS_Debug_M32C_FoUSB_UART_Renesas M32C C Compiler]
 "C source file" "061cd8963acbbc10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\Emb_App\programme_principal_etud.c" "061041b59a3acc10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\can.c" "032b447e85684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\clavier.c" "032b447e85684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\dma0.c" "032b447e85684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\lcd.c" "032b447e85684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\mli.c" "032b447e85684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\periph.c" "032b447e85684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\radiocommande.c" "032b447e85684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\uart0.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\Emb_App\programme_principal_etud.c" "061041b59a3acc10" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\can.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\clavier.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\dma0.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\lcd.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\mli.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\periph.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\radiocommande.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\uart0.c" "032b447e85684d10" 2 
 [OPTIONS_Debug_M32C_FoUSB_UART_Renesas M32C Configurator]
 "Single Shot" "061cd8963acbbc10" 1 
 [OPTIONS_Debug_M32C_FoUSB_UART_Renesas M32C Librarian]
@@ -226,18 +226,18 @@
 [GENERAL_DATA_CONFIGURATION_Debug_M32C_FoUSB_UART]
 [OPTIONS_Debug_M32C_Simulator_Renesas M32C Assembler]
 "Assembly source file" "061cd8963acbbc10" 3 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\Emb_App\crt0mr.a30" "061cd8963acbbc10" 3 
+"E:\tp_info6_2018_nan_cao\tp_info6\Emb_App\crt0mr.a30" "061cd8963acbbc10" 3 
 [OPTIONS_Debug_M32C_Simulator_Renesas M32C C Compiler]
 "C source file" "061cd8963acbbc10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\Emb_App\programme_principal_etud.c" "061041b59a3acc10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\can.c" "032b447e85684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\clavier.c" "032b447e85684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\dma0.c" "032b447e85684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\lcd.c" "032b447e85684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\mli.c" "032b447e85684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\periph.c" "032b447e85684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\radiocommande.c" "032b447e85684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\uart0.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\Emb_App\programme_principal_etud.c" "061041b59a3acc10" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\can.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\clavier.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\dma0.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\lcd.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\mli.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\periph.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\radiocommande.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\uart0.c" "032b447e85684d10" 2 
 [OPTIONS_Debug_M32C_Simulator_Renesas M32C Configurator]
 "Single Shot" "061cd8963acbbc10" 1 
 [OPTIONS_Debug_M32C_Simulator_Renesas M32C Librarian]
@@ -265,18 +265,18 @@
 [GENERAL_DATA_CONFIGURATION_Debug_M32C_Simulator]
 [OPTIONS_Release_Renesas M32C Assembler]
 "Assembly source file" "061cd8963acbbc10" 3 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\Emb_App\crt0mr.a30" "061cd8963acbbc10" 3 
+"E:\tp_info6_2018_nan_cao\tp_info6\Emb_App\crt0mr.a30" "061cd8963acbbc10" 3 
 [OPTIONS_Release_Renesas M32C C Compiler]
 "C source file" "061cd8963acbbc10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\Emb_App\programme_principal_etud.c" "061041b59a3acc10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\can.c" "032b447e85684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\clavier.c" "032b447e85684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\dma0.c" "032b447e85684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\lcd.c" "032b447e85684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\mli.c" "032b447e85684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\periph.c" "032b447e85684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\radiocommande.c" "032b447e85684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\uart0.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\Emb_App\programme_principal_etud.c" "061041b59a3acc10" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\can.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\clavier.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\dma0.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\lcd.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\mli.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\periph.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\radiocommande.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\uart0.c" "032b447e85684d10" 2 
 [OPTIONS_Release_Renesas M32C Configurator]
 "Single Shot" "061cd8963acbbc10" 1 
 [OPTIONS_Release_Renesas M32C Librarian]
Index: branch/nan_cao/Emb_App.hws
===================================================================
--- branch/nan_cao/Emb_App.hws	(revision 79)
+++ branch/nan_cao/Emb_App.hws	(revision 80)
@@ -3,12 +3,12 @@
 [DATABASE_VERSION]
 "11.0" 
 [WORKSPACE_DETAILS]
-"Emb_App" "E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6" "E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\Emb_App.hws" "M16C/80,M32C" "Renesas M32C Standard" 
+"Emb_App" "E:\tp_info6_2018_nan_cao\tp_info6" "E:\tp_info6_2018_nan_cao\tp_info6\Emb_App.hws" "M16C/80,M32C" "Renesas M32C Standard" 
 [SHARED_WORKSPACE_CONTROL_STATUS]
 "" "" "" 
 "" "" "" 
 [PROJECTS]
-"EmbM32C87App" "E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\Emb_App" "E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\Emb_App\EmbM32C87App.hwp" 4 
+"EmbM32C87App" "E:\tp_info6_2018_nan_cao\tp_info6\Emb_App" "E:\tp_info6_2018_nan_cao\tp_info6\Emb_App\EmbM32C87App.hwp" 4 
 [INFORMATION]
 "No workspace information available" 
 [SCRAP]
Index: branch/nan_cao/bsp/clavier.c
===================================================================
--- branch/nan_cao/bsp/clavier.c	(revision 79)
+++ branch/nan_cao/bsp/clavier.c	(revision 80)
@@ -103,7 +103,7 @@
 	return 0;
 }
 
-void itouche(void )
+void itouche( void )
 {
 	char t;
 	
Index: branch/nan_cao/cfg308.exe
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: branch/nan_cao/cfg308.exe
___________________________________________________________________
Added: svn:mime-type
## -0,0 +1 ##
+application/octet-stream
\ No newline at end of property
